aboutsummaryrefslogtreecommitdiffstats
path: root/community/cppcheck/APKBUILD
diff options
context:
space:
mode:
authorAndré Klitzing <aklitzing@gmail.com>2017-03-24 10:03:52 +0100
committerWilliam Pitcock <nenolod@dereferenced.org>2017-03-24 23:32:23 +0000
commit8c5a331e745e63c806cdee2e7f55deeb632aed94 (patch)
tree55252680b44b77135a2ab6f3974fc84818bfef5a /community/cppcheck/APKBUILD
parentc23ced255d0a9db314024b05035bc90a93d1eeb8 (diff)
downloadaports-8c5a331e745e63c806cdee2e7f55deeb632aed94.tar.gz
aports-8c5a331e745e63c806cdee2e7f55deeb632aed94.tar.bz2
aports-8c5a331e745e63c806cdee2e7f55deeb632aed94.tar.xz
testing/cppcheck: claim maintainership and move to community
Diffstat (limited to 'community/cppcheck/APKBUILD')
-rw-r--r--community/cppcheck/APKBUILD60
1 files changed, 60 insertions, 0 deletions
diff --git a/community/cppcheck/APKBUILD b/community/cppcheck/APKBUILD
new file mode 100644
index 0000000000..1ee475052f
--- /dev/null
+++ b/community/cppcheck/APKBUILD
@@ -0,0 +1,60 @@
+# Contributor: August Klein <amatcoder@gmail.com>
+# Maintainer: André Klitzing <aklitzing@gmail.com>
+pkgname=cppcheck
+pkgver=1.77
+pkgrel=0
+pkgdesc="A static analysis tool for C/C++ code"
+url="http://cppcheck.sourceforge.net"
+arch="all"
+license="GPL3"
+depends=""
+makedepends="docbook-xsl pcre-dev qt5-qttools-dev"
+subpackages="$pkgname-doc $pkgname-htmlreport $pkgname-gui"
+source="$pkgname-$pkgver.tar.gz::https://github.com/danmar/cppcheck/archive/$pkgver.tar.gz
+ set_datadir.patch"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ make DB2MAN=/usr/share/xml/docbook/xsl-stylesheets-*/manpages/docbook.xsl man || return 1
+
+ cd gui
+ lrelease-qt5 gui.pro || return 1
+ qmake-qt5 HAVE_RULES=yes || return 1
+ make SRCDIR=build CFGDIR=/usr/share/cppcheck/cfg HAVE_RULES=yes || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" CFGDIR=/usr/share/cppcheck/cfg HAVE_RULES=yes install || return 1
+ install -Dm644 cppcheck.1 "$pkgdir"/usr/share/man/man1/cppcheck.1 || return 1
+}
+
+htmlreport() {
+ pkgdesc="A utility to generate a html report of a XML file produced by cppcheck"
+ arch="noarch"
+ depends="$pkgname py-pygments"
+
+ cd "$builddir"
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/$subpkgname "$subpkgdir"/usr/bin/
+}
+
+gui() {
+ pkgdesc="A Qt gui for cppcheck"
+ depends="$pkgname"
+
+ cd "$builddir"
+ mkdir -p "$subpkgdir"/usr/bin
+ mv gui/$subpkgname "$subpkgdir"/usr/bin/ || return 1
+
+ mkdir -p "$subpkgdir"/usr/share/cppcheck/lang/
+ mv gui/cppcheck*.qm "$subpkgdir"/usr/share/cppcheck/lang/
+}
+
+md5sums="33bd1996ad9a68221266662b3d6cc48b cppcheck-1.77.tar.gz
+24f448e5821494d4f02d44551aa8cb0a set_datadir.patch"
+sha256sums="76ae0a9b556a93c79365cf8bd5f276c30e3327c4ca78283b5c2dbbddc135c2ba cppcheck-1.77.tar.gz
+993e9426221624f59f2e22a814af03097976a3fded7c06f57bf702d532e7bcef set_datadir.patch"
+sha512sums="480e705225191622b2effa5ff58d21f985d1f9fb77e7be6ec878df20063c09f503e33e6162d5c55bb98ec6e14d0f682664a3ba35c380742ef8b473cb5ca3b0a0 cppcheck-1.77.tar.gz
+76f0699273347068b562d001cf6701ef3180506d21bd9298a6b1f2e522ea3c32b1cc350128a2c0b8d69b89aa3c0992b04e9d641ae170b51e3073acb3c6ca7b6e set_datadir.patch"